cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Explorer
Explorer
991 Views
Registered: ‎12-12-2018

Vitis prompt “XRT Requires opencl header"

Jump to solution

Hi everyone,
I want to build example "VADD" in ubuntu 18.04 vitis

xrt.pngxrt_install.png

Is xrt installation failed? What causes it? How to fix it?

Tags (2)
0 Kudos
Reply
1 Solution

Accepted Solutions
Explorer
Explorer
886 Views
Registered: ‎12-12-2018
TThis is my problem,I forgot to install opencl -header

View solution in original post

0 Kudos
Reply
6 Replies
Moderator
Moderator
984 Views
Registered: ‎09-12-2007

Looks like your XRT wasnt built correctly

0 Kudos
Reply
Explorer
Explorer
971 Views
Registered: ‎12-12-2018
@stephenm Yes, where is the problem?
0 Kudos
Reply
Explorer
Explorer
909 Views
Registered: ‎02-07-2020
Install again...
sudo apt update
sudo apt install ocl-icd-opencl-dev
0 Kudos
Reply
Explorer
Explorer
887 Views
Registered: ‎12-12-2018
TThis is my problem,I forgot to install opencl -header

View solution in original post

0 Kudos
Reply
Adventurer
Adventurer
856 Views
Registered: ‎09-09-2019

I just meet the same error, can you please post the exact solution? what command would be used to install the missing opecl header?

I tried "apt install ocl-icd-opencl-dev"  it was replied:

ocl-icd-opencl-dev is already the newest version (2.2.11-1ubuntu1).

0 Kudos
Reply
Adventurer
Adventurer
820 Views
Registered: ‎09-09-2019

OK I got it, should be "sudo apt install opencl-headers"

0 Kudos
Reply